<?php
/**************************************************************************
 * $Id: user.php 4289 2010-08-27 10:17:09Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


require_once("lib/StudIPortUserTools.lib.php");


/**
 * general functions
 */

function userSearch() {
	$res = array(
		success => 'false',
		htmlContent => '');

	// check input
	$query = trim($_REQUEST['qStr']);
	if (strlen($query) < 3) {
		setErrorMsg($res, "Suchmaske zu kurz");
		return $res;
	}

	// get database connection
	$sql =& new DB_Seminar();

	// sanitize input
	$query_esc = mysql_real_escape_string($query);

	// find users and make a neet little list of them
	// TODO fullname search does not work, e.g., "Max Mustermann"
	// look at how StudIP does this!
	global $_fullname_sql;
	$sql->query("SELECT user_id, username, ". $_fullname_sql['no_title_rev'] ." AS fullname, visible FROM auth_user_md5 WHERE Nachname LIKE '%".$query_esc."%' OR Vorname LIKE '%".$query_esc."%' ORDER BY fullname LIMIT 0,". USER_SEARCH_LIMIT);

	// issue a warning, if we have more results than allowed
	if ($sql->num_rows() >= USER_SEARCH_LIMIT) {
		addWarning($res, "Zu viele Ergebnisse, zeige die ersten ". USER_SEARCH_LIMIT .".");
	}
	
	// now create the list
	$htmlContent = "";
	while ($sql->next_record()) {
		$htmlContent .= getUserListEntry($sql->Record, "x:");
	}

	// prepare result
	$res['success']     = true;
	$res['htmlContent'] = $htmlContent;

	return $res;
}
?>
