<?php
/**************************************************************************
 * $Id: InputChecker.class.php 4278 2010-08-26 08:55:11Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


class InputChecker {
	private $tname;
	private $tcon;
	private static $instance = null;

	private __construct() {
		$this->tname = null;	
		$this->tcon  = null;	
	}

	private __clone() {
	}

	public static getInstance() {
		if (self::$instance == null) {
			self::$instance = new self;
		}
		return self::$instance;
	}

	public static append($tname, $tcon) {
		$this->tname = $tname;
		$this->tcon  = $tcon;
	}
	
	public load($tname) {
		return include("db/$tname.table.php");
	}

	public check($field, $val, &$res) {
		if (! array_key_exists($this->tcon, $field)) {
			die "Field '$field' does not exist in table '{$this->tname}'";
		}

		$val = sanitizeInput($val);
		return $this->tcon[$field]->check(&$val, &$res);
	}
};

?>
