<?php
/**************************************************************************
 * $Id: StudIPortFiles.class.php 4278 2010-08-26 08:55:11Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


require_once('StudIPortPart.class.php');
require_once('StudIPortUploadTools.lib.php');

/** @class StudIPortFiles
 *  @brief parent class for all file specific classes
 */
abstract class StudIPortFiles extends StudIPortPart
{
	protected $data;
	protected $dataNoAssoc;
	protected $comp;
	protected $exp;
	protected $types;
	
	/** loads data needed everywhere
	 */
	public function loadData() {
		$this->getHeaderData();
		
		// get file types
		$this->sql->query("SELECT type_id, picture, picture_large, descr FROM `studiport_file_types`");
		while ($this->sql->next_Record()) {
			$pointer =& $this->types[$this->sql->Record["type_id"]];
			$pointer["picture"]       = $this->sql->Record["picture"];
			$pointer["picture_large"] = $this->sql->Record["picture_large"];
			$pointer["descr"]         = $this->sql->Record["descr"];	
		}
	}
	
	/**
	 * gets the cols and rows from database
	 */
	abstract protected function getHeaderData();
	
	/** saves sql query data into an array
	 *
	 * @param sql StudIPortDB holding sql data to save
	 * @param storage array to save data to
	 */
	protected function saveSqlData(StudIPortDB &$sql, &$storage) {
		if ($sql->Row == 0) {
			while ($sql->next_record()) {
				$storage[] = $sql->Record;
			}
		} else {
			$storage = $sql->Record;
		}
	}
}
?>
