<?php
/**************************************************************************
 * $Id: StudIPortPage.class.php 4278 2010-08-26 08:55:11Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


require_once('StudIPortBase.class.php');

/** @class StudIPortPage
 * @brief abstract class for all StudIPort pages ..
 */
abstract class StudIPortPage extends StudIPortBase
{
	/**
	 * @see http://de3.php.net/manual/de/language.oop5.typehinting.php, would be best to use it elsewhere too
	 *
	 * @param user StudIPUser who is requesting data
	 */
	public function __construct(StudIPUser &$user) {
		parent::__construct($user);
	}

	/** public interface for rendering the infobox
	 * 
	 * @param pluginURL url to plugin location, required for images and co
	 */
	abstract public function renderInfobox($pluginURL);

	/** returns infobox build from $content with $image
	 * @see lib/visual.inc.php -> function print_infobox(..) for structure of array $content
	 * @note implement as renderInfobox() (no parameters) in extended class, build the content array and call this baseclass
	 *
	 * @param content array containing data to display
	 * @param image string filename of picture to display at the top of the box, must be in public/assets/images
	 *
	 * @return rendered infobox
	 */
	protected function _renderInfobox(array $content, $image) {
		return print_infobox($content, $image, YES);
	}
}
?>
