<?php
/**************************************************************************
 * $Id: StudIPortPageViewDetails.class.php 4278 2010-08-26 08:55:11Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/

 
require_once('StudIPortPageViewDetailsBase.class.php');
require_once('StudIPortQuestionList.class.php');


/**
 * @class StudIPortViewDetails
 * @brief details of a view
 */
class StudIPortPageViewDetails extends StudIPortPageViewDetailsBase
{
	protected $questions;  ///> questions (feedback) of this view

	/**
	* @param id file id from studiport_files table
	*/
	public function render(Flexi_TemplateFactory &$factory, $templateFilename, $pluginUrl) {
		parent::render($factory, $templateFilename, $pluginUrl);
		$this->template->set_attribute('data', $this->view);
		$this->template->set_attribute('extAccessUrl', viewGetExtAccessLink());
		$this->template->set_attribute('access', $this->access);
		$this->files->setStyle(STUDIPORT_STYLE_NESTED); // we want a nested file list
		$this->template->set_attribute('files', $this->files->render($factory, "StudIPortFileList.part.php", $pluginUrl));
		$this->template->set_attribute('questions', $this->questions->render($factory, "StudIPortQuestionList.part.php", $pluginUrl));
		$this->template->set_attribute('showQuestions', $this->questions->getNum() > 0);
		return $this->template->render();
	}

	/* load my own data */
	public function loadData() {
		parent::loadData();

		$this->questions = new StudIPortQuestionList($this->user, $this->viewId);
		$this->questions->loadData();
	}

	/* TODO infobox rendering */
	public function renderInfobox($pluginURL) {
	}

}
?>
