<?php
/**************************************************************************
 * $Id: StudIPortPart.class.php 4278 2010-08-26 08:55:11Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


require_once('StudIPortBase.class.php');


abstract class StudIPortPart extends StudIPortBase
{
	protected $style;
	
	
	public function __construct(StudIPUser &$user) {
		parent::__construct($user);
		$this->style = STUDIPORT_STYLE_STANDALONE;
	}

	public function setStyle($s) {
		$this->style = $s;  // TODO check parameter
	}

        /** creates some output using templates
         *
         * @param factory Flexi_TemplateFactory which was initialized with path where templateFilename is found
         * @param templateFilename string containing filename of template to use
         * @param pluginUrl string containing url to plugin directory for use in templates to include files in html for example
         */
	public function render(Flexi_TemplateFactory &$factory, $templateFilename, $pluginUrl) {
		parent::render($factory, $templateFilename, $pluginUrl);
		$this->template->set_attribute('style', $this->style);
	}

}
?>
