<?php
/**************************************************************************
 * $Id: StudIPortQuestionTools.lib.php 4278 2010-08-26 08:55:11Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


require_once('vendor/flexi/flexi.php');

/**
 * get request list of provided question
 * @param
 * @return request list as array
 */
function questionGetRequestList($questId)
{
        // connect to db and get results
        $db =& new StudIPortDB();
        $db->queryf("SELECT user_id FROM studiport_feedback_request WHERE question_id='%d'", $questId);

        // fill list
        $reqList = array();
        while ($db->next_record()) {
                array_push($reqList, $db->f('user_id'));
        }

        return $reqList;
}


function questionGetBasics($question_id) {
	$db =& new DB_Seminar();
	$question_id_esc = mysql_real_escape_string($question_id);
	$db->query("SELECT ".
	           "  q.question_id, ".
	           "  v.name AS view_name, ".
	           "  v.view_id AS view_id, ".
	           "  q.text, ".
	           "  IF(q.expires, DATE_FORMAT(q.expires, '%d.%m.%Y'), '---') AS expires, ".
	           "  IF(q.expires,q.expires<CURDATE(),FALSE) AS expired, ".
	           "  DATE_FORMAT(q.created, '%d.%m.%Y %k:%i Uhr') AS created, ".
	           "  DATE_FORMAT(q.edited, '%d.%m.%Y %k:%i Uhr') AS edited, ".
	           "  q.public ".
	           "FROM studiport_feedback_question AS q".
	           "  LEFT JOIN studiport_view AS v USING(view_id) ".
	           "WHERE question_id='$question_id_esc'");
	if ($db->num_rows() == 0) {
		return null;
	}
	$db->next_record();
	return $db->Record;
}

function questionGetList($view_id, $user_id) {
	require_once('lib/StudIPortQuestionList.class.php');
	// load data
	$questions = new StudIPortQuestionList(new StudIPUser($user_id), $view_id);
	$questions->loadData();

	// prepare and create output
        $factory = new Flexi_TemplateFactory($GLOBALS['STUDIPORT_BASEDIR'] ."/templates");
	return $questions->render($factory, "StudIPortQuestionList.part.php", $GLOBALS['STUDIPORT_URI']);
}

?>
